org.apache.felix.connect.launch

## Class ClasspathScanner

- java.lang.Object
- - org.apache.felix.connect.launch.ClasspathScanner

    public class ClasspathScanner
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ClasspathScanner()`

### Method Summary

Methods
`List<BundleDescriptor>` `scanForBundles()`
`List<BundleDescriptor>` `scanForBundles(ClassLoader loader)`
`List<BundleDescriptor>` `scanForBundles(String filterString)`
`List<BundleDescriptor>` `scanForBundles(String filterString, ClassLoader loader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClasspathScanner

    public ClasspathScanner()

### Method Detail

#### scanForBundles

    public List<BundleDescriptor> scanForBundles()
                                          throws Exception

Throws:
  `Exception`

#### scanForBundles

    public List<BundleDescriptor> scanForBundles(ClassLoader loader)
                                          throws Exception

Throws:
  `Exception`

#### scanForBundles

    public List<BundleDescriptor> scanForBundles(String filterString)
                                          throws Exception

Throws:
  `Exception`

#### scanForBundles

    public List<BundleDescriptor> scanForBundles(String filterString,
                                        ClassLoader loader)
                                          throws Exception

Throws:
  `Exception`